local Barrel = LibStub("AceAddon-3.0"):GetAddon("Barrel")
local L = LibStub("AceLocale-3.0"):GetLocale("Barrel")
local ldb = LibStub("LibDataBroker-1.1")


local defaults = {
	profile = {
	}
}

local options = {
	type = "group",
	name = "Barrel",
	childGroups = "tree",
	args = {
		Barrel = {
		type = "group",
		name = "Barrel",
		handler = Barrel,
			args = {
				
			},
		},
	},
}

function Barrel:IterateBroker()
	for name, dataobj in ldb:DataObjectIterator() do
		options.args.Barrel.args[name] = {
			type = "group",
			name = name,
			args = {
				[name] = {
					type = "group",
					name = name,
					order = 1,
					inline = true,
					args = {
						hideIcon = {
							type = "toggle",
							name = L["Hide minimap icon"],
							desc = L["Hide minimap icon"],
							width = "full",
							order = 1,
							get = function(info)
								local name = name.."Minimap"
								return self.db.profile[name].Hidden
							end,
							set = function(info, value)
								local name = name.."Minimap"
								self.db.profile[name].Hidden = value
								if ( self.db.profile[name].Hidden == true ) then
									self:HideMinimap(name)
								elseif ( self.db.profile[name].Hidden == false ) then
									self:ShowMinimap(name)
								end
							end,
						},
						radius = {
							type = "range",
							name = L["Radius"],
							min = 0,
							max = 160,
							step = 1,
							order = 2,
							get = function() local name = name.."Minimap" return self.db.profile[name].radius end,
							set = function(info, value)
								local name = name.."Minimap"
								self.db.profile[name].radius = value
								self:MinimapUpdatePosition(name)
							end,
						},
						angle = {
							type = "range",
							name = L["Angle"],
							min = 0,
							max = 360,
							step = 1,
							order = 3,
							get = function() local name = name.."Minimap" return self.db.profile[name].angle end,
							set = function(info, value)
								local name = name.."Minimap"
								self.db.profile[name].angle = value
								self:MinimapUpdatePosition(name)
							end,
						},
					},
				},
			},
		}
	end
end

function Barrel:Config()

	self.db = LibStub("AceDB-3.0"):New("BarrelDB", defaults, "Default")
	LibStub("AceConfig-3.0"):RegisterOptionsTable("Barrel", options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("Barrel", "Barrel")

end

